/* Import fonts */
@import url('./fonts/Yekan Bakh FaNum/Webfonts/fontiran.css');
@import url('./styles/spaces/index.css');
@import url('./styles/calling.css');

/* Global */

.container-full {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}
.user-select-none {
  user-select: none;
}

.font-farsi * {
  font-family: Yekan Bakh FaNum;
}
.font-farsi ion-text {
  direction: rtl;
}
ion-input.english-font input {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen,
    Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif !important;
}
.ripple-parent {
  position: relative;
  overflow: hidden;
}
.text-white {
  color: var(--ion-color-white);
}
.ellipsis-text {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}
.ellipsis-2-line {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  -webkit-line-clamp: 2; /* Number of lines to show */
}
.text-direction-right {
  direction: rtl !important;
}
.text-direction-left {
  direction: ltr !important;
}

.avatar-color-1 {
  background-color: #fca744;
}

.avatar-color-2 {
  background-color: #6876f0;
}

.avatar-color-3 {
  background-color: #da56fb;
}
.avatar-color-4 {
  background-color: #37eed8;
}

.avatar-color-5 {
  background-color: #ca72b1;
}

.avatar-color-6 {
  background-color: #ff101e;
}
.item-blue-background {
  background-color: #0066ffcc;
}
.item-cyan-background {
  background-color: #44dbfc;
}
.item-yellow-background {
  background-color: #f8c615;
}
.item-green-background {
  background-color: #41e133;
}
.item-red-background {
  background-color: #fc4465;
}
.opacity-0 {
  opacity: 0;
}

.slid-up-animation {
  animation: 0.3s slid-up;
}
.slid-down-animation {
  animation: 0.3s slid-up;
}

@keyframes slid-up {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0);
  }
}

.v3-emoji-picker .v3-body,
.v3-emoji-picker .v3-footer {
  background: var(--ion-color-light);
  color: var(--ion-color-dark);
}

.animated-file-icon-downloding {
  animation-name: rotatedAnim;
  animation-timing-function: cubic-bezier(0.55, 0.085, 0.68, 0.53);
  animation-duration: 3s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
}
@keyframes rotatedAnim {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}

.fade-animation {
  animation: 0.8s fade-animation;
}

@keyframes fade-animation {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.zoom-out-animate {
  animation: 0.8s zoom-out;
}
@keyframes zoom-out {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
.zoom-in-animate {
  animation: 0.8s zoom-in;
}
@keyframes zoom-in {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
